CentOS7にatomを(localinstallで)yumインストール

手元の作業マシンにatomを入れたので手順メモ。

[yoshitake@localhost tmp]$ cat /etc/redhat-release 
CentOS Linux release 7.5.1804 (Core)

公式サイトのrpmからダウンロード

任意のディレクトリに配置してyumのlocalinstall実施

sudo yum localinstall atom.x86_64.rpm

 

ちなみに普通にrpmコマンドで入れようとすると依存関係ぺちぺちしないといけないので面倒

[yoshitake@localhost tmp]$ rpm -ivh atom.x86_64.rpm 
エラー: 依存性の欠如:
	lsb-core-noarch は atom-1.31.2-0.1.x86_64 に必要とされています
	libXss.so.1()(64bit) は atom-1.31.2-0.1.x86_64 に必要とされています

起動はターミナルから

[yoshitake@localhost tmp]$ atom

あとは日本語化やスペルチェックの停止やらしてお好みで

(一応インストールログ)

[yoshitake@localhost tmp]$ sudo yum localinstall atom.x86_64.rpm
読み込んだプラグイン:fastestmirror, langpacks
atom.x86_64.rpm を調べています: atom-1.31.2-0.1.x86_64
atom.x86_64.rpm をインストール済みとして設定しています
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> パッケージ atom.x86_64 0:1.31.2-0.1 を インストール
--> 依存性の処理をしています: lsb-core-noarch のパッケージ: atom-1.31.2-0.1.x86_64
Loading mirror speeds from cached hostfile
* base: mirrors.cat.net
* extras: mirrors.cat.net
* updates: mirrors.cat.net
--> 依存性の処理をしています: libXss.so.1()(64bit) のパッケージ: atom-1.31.2-0.1.x86_64
--> トランザクションの確認を実行しています。
---> パッケージ libXScrnSaver.x86_64 0:1.2.2-6.1.el7 を インストール
---> パッケージ redhat-lsb-core.x86_64 0:4.1-27.el7.centos.1 を インストール
--> 依存性の処理をしています: redhat-lsb-submod-security(x86-64) = 4.1-27.el7.centos.1 のパッケージ: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> 依存性の処理をしています: spax のパッケージ: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> 依存性の処理をしています: /usr/bin/m4 のパッケージ: redhat-lsb-core-4.1-27.el7.centos.1.x86_64
--> トランザクションの確認を実行しています。
---> パッケージ m4.x86_64 0:1.4.16-10.el7 を インストール
---> パッケージ redhat-lsb-submod-security.x86_64 0:4.1-27.el7.centos.1 を インストール
---> パッケージ spax.x86_64 0:1.5.2-13.el7 を インストール
--> 依存性解決を終了しました。

依存性を解決しました

================================================================================
Package アーキテクチャー
バージョン リポジトリー 容量
================================================================================
インストール中:
atom x86_64 1.31.2-0.1 /atom.x86_64 772 M
依存性関連でのインストールをします:
libXScrnSaver x86_64 1.2.2-6.1.el7 base 24 k
m4 x86_64 1.4.16-10.el7 base 256 k
redhat-lsb-core x86_64 4.1-27.el7.centos.1 base 38 k
redhat-lsb-submod-security x86_64 4.1-27.el7.centos.1 base 15 k
spax x86_64 1.5.2-13.el7 base 260 k

トランザクションの要約
================================================================================
インストール 1 パッケージ (+5 個の依存関係のパッケージ)

合計容量: 773 M
総ダウンロード容量: 592 k
インストール容量: 774 M
Is this ok [y/d/N]: y
Downloading packages:
(1/5): libXScrnSaver-1.2.2-6.1.el7.x86_64.rpm | 24 kB 00:00
(2/5): redhat-lsb-core-4.1-27.el7.centos.1.x86_64.rpm | 38 kB 00:00
(3/5): m4-1.4.16-10.el7.x86_64.rpm | 256 kB 00:00
(4/5): redhat-lsb-submod-security-4.1-27.el7.centos.1.x86_ | 15 kB 00:00
(5/5): spax-1.5.2-13.el7.x86_64.rpm | 260 kB 00:00
--------------------------------------------------------------------------------
合計 1.4 MB/s | 592 kB 00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
インストール中 : m4-1.4.16-10.el7.x86_64 1/6
インストール中 : spax-1.5.2-13.el7.x86_64 2/6
インストール中 : libXScrnSaver-1.2.2-6.1.el7.x86_64 3/6
インストール中 : redhat-lsb-submod-security-4.1-27.el7.centos. 4/6
インストール中 : redhat-lsb-core-4.1-27.el7.centos.1.x86_64 5/6
インストール中 : atom-1.31.2-0.1.x86_64 6/6
検証中 : atom-1.31.2-0.1.x86_64 1/6
検証中 : redhat-lsb-submod-security-4.1-27.el7.centos. 2/6
検証中 : libXScrnSaver-1.2.2-6.1.el7.x86_64 3/6
検証中 : spax-1.5.2-13.el7.x86_64 4/6
検証中 : redhat-lsb-core-4.1-27.el7.centos.1.x86_64 5/6
検証中 : m4-1.4.16-10.el7.x86_64 6/6

インストール:
atom.x86_64 0:1.31.2-0.1

依存性関連をインストールしました:
libXScrnSaver.x86_64 0:1.2.2-6.1.el7
m4.x86_64 0:1.4.16-10.el7
redhat-lsb-core.x86_64 0:4.1-27.el7.centos.1
redhat-lsb-submod-security.x86_64 0:4.1-27.el7.centos.1
spax.x86_64 0:1.5.2-13.el7

完了しました!

5 thoughts on “CentOS7にatomを(localinstallで)yumインストール

  1. 森内良子

    お世話になります
    サイトを見させていただき同じようにやらせていただきましたが下記のエラーがでます
    [moriuchi@localhost ~]$ cat /etc/redhat-release
    CentOS Linux release 7.6.1810 (Core)
    [moriuchi@localhost ~]$ sudo yum localinstall atom.x86_64.rpm
    [sudo] moriuchi のパスワード:
    読み込んだプラグイン:fastestmirror, langpacks
    ファイルが開けません: atom.x86_64.rpm を飛ばします。
    何もしません
    なのでinstallができません
    お教えください

    返信
    1. wpepea 投稿作成者

      おそらくファイルパスの問題と思います。
      atom.x86_64.rpmがあるパスに移動(cd)して以下のコマンドを試すとどうでしょう?
      sudo yum localinstall atom.x86_64.rpm

      もしくは
      sudo yum localinstall (atom.x86_64.rpmへのフルパス)

      返信
      1. 森内

        お世話になります
        下記の通りにしました
        [mryoko@localhost ~]$ sudo wget https://atom.io/download/rpm
        [sudo] mryoko のパスワード:
        –2019-07-11 14:58:39– https://atom.io/download/rpm
        atom.io (atom.io) をDNSに問いあわせています… 54.165.51.142, 52.203.66.95, 3.214.163.243, …
        atom.io (atom.io)|54.165.51.142|:443 に接続しています… 接続しました。
        HTTP による接続要求を送信しました、応答を待っています… 302 Found
        場所: https://atom-installer.github.com/v1.38.2/atom.x86_64.rpm?s=1560782787&ext=.rpm [続く]
        –2019-07-11 14:58:45– https://atom-installer.github.com/v1.38.2/atom.x86_64.rpm?s=1560782787&ext=.rpm
        atom-installer.github.com (atom-installer.github.com) をDNSに問いあわせています… 151.101.108.133
        atom-installer.github.com (atom-installer.github.com)|151.101.108.133|:443 に接続しています… 接続しました。
        HTTP による接続要求を送信しました、応答を待っています… 200 OK
        長さ: 154198072 (147M) [application/octet-stream]
        `rpm’ に保存中

        100%[======================================>] 154,198,072 3.38MB/s 時間 45s

        2019-07-11 14:59:30 (3.27 MB/s) – `rpm’ へ保存完了 [154198072/154198072]

        [mryoko@localhost ~]$ sudo yum install atom.x86_64.rpm
        読み込んだプラグイン:fastestmirror, langpacks
        Loading mirror speeds from cached hostfile
        * base: ftp-srv2.kddilabs.jp
        * epel: http://ftp.riken.jp
        * extras: ftp-srv2.kddilabs.jp
        * updates: ftp-srv2.kddilabs.jp
        パッケージ atom.x86_64.rpm は利用できません。

        このようになります
        GUIでダウンロードすると
        この種類のファイルはコンピュータに損害を与える可能性があります。atom.x86_64.rpmのダウンロードを続けますか?となります
        理由がわからないです

        返信
        1. 森内 

          installできました。
          cd Downloadではなくcd ダウンロードで移動しなければいけなかったようです
          [mryoko@localhost ダウンロード]$ cd ..
          [mryoko@localhost ~]$ atom -v
          Atom : 1.38.2
          Electron: 2.0.18
          Chrome : 61.0.3163.100
          Node : 8.9.3
          やはり難しいです。
          ありがとうございました

          返信
          1. wpepea 投稿作成者

            あまりログインしていないので返信遅れました。

            インストールできたとのことでよかったです。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です